Bug 20672 - Update two-column templates with Bootstrap grid: Acquisitions part 3
Summary: Update two-column templates with Bootstrap grid: Acquisitions part 3
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 20668
Blocks: 14546 20654
  Show dependency treegraph
 
Reported: 2018-04-27 15:58 UTC by Owen Leonard
Modified: 2018-09-05 14:37 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20672: Update two-column templates with Bootstrap grid: Acquisitions part 3 (13.99 KB, patch)
2018-05-07 15:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20672: Update two-column templates with Bootstrap grid: Acquisitions part 3 (12.29 KB, patch)
2018-08-13 14:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20672: Update two-column templates with Bootstrap grid: Acquisitions part 3 (12.50 KB, patch)
2018-08-17 17:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20672: Update two-column templates with Bootstrap grid: Acquisitions part 3 (12.55 KB, patch)
2018-08-21 08:49 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20672: Update two-column templates with Bootstrap grid: Acquisitions part 3 (12.61 KB, patch)
2018-08-27 18:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-04-27 15:58:31 UTC
This patch will convert even more acquisitions templates to use the Bootstrap grid:

neworderbiblio.tt
neworderempty.tt
newordersubscription.tt
newordersuggestion.tt
neworderempty_duplicate.tt
ordered.tt
Comment 1 Owen Leonard 2018-05-07 15:03:08 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2018-08-13 14:48:19 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2018-08-17 17:58:01 UTC
Created attachment 77996 [details] [review]
Bug 20672: Update two-column templates with Bootstrap grid: Acquisitions part 3

This patch modifies several acquisitions templates to use the Bootstrap
grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags in the modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

- Acquisitions -> Vendor -> Add to basket -> From an existing record ->
  Search results.
  - Order
- Acquisitions -> Vendor -> Add to basket -> From a subscription
- Acquisitions -> Vendor -> Add to basket -> From a suggestion
- Acquisitions -> Vendor -> Add to basket -> From an external source
  - Search for an title which already exists in your catalog
  - Select a search result which has an ISBN matching the title in your
    catalog.
  - Order. The duplicate warning page is the one modified.
- Acquisitions home page -> Click an "Ordered" value for a fund.
Comment 4 Claire Gravely 2018-08-21 08:49:28 UTC
Created attachment 78028 [details] [review]
Bug 20672: Update two-column templates with Bootstrap grid: Acquisitions part 3

This patch modifies several acquisitions templates to use the Bootstrap
grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags in the modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

- Acquisitions -> Vendor -> Add to basket -> From an existing record ->
  Search results.
  - Order
- Acquisitions -> Vendor -> Add to basket -> From a subscription
- Acquisitions -> Vendor -> Add to basket -> From a suggestion
- Acquisitions -> Vendor -> Add to basket -> From an external source
  - Search for an title which already exists in your catalog
  - Select a search result which has an ISBN matching the title in your
    catalog.
  - Order. The duplicate warning page is the one modified.
- Acquisitions home page -> Click an "Ordered" value for a fund.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 5 Katrin Fischer 2018-08-27 18:34:31 UTC
Created attachment 78192 [details] [review]
Bug 20672: Update two-column templates with Bootstrap grid: Acquisitions part 3

This patch modifies several acquisitions templates to use the Bootstrap
grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags in the modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

- Acquisitions -> Vendor -> Add to basket -> From an existing record ->
  Search results.
  - Order
- Acquisitions -> Vendor -> Add to basket -> From a subscription
- Acquisitions -> Vendor -> Add to basket -> From a suggestion
- Acquisitions -> Vendor -> Add to basket -> From an external source
  - Search for an title which already exists in your catalog
  - Select a search result which has an ISBN matching the title in your
    catalog.
  - Order. The duplicate warning page is the one modified.
- Acquisitions home page -> Click an "Ordered" value for a fund.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2018-08-31 12:59:05 UTC
Awesome work all!

Pushed to master for 18.11
Comment 7 Martin Renvoize 2018-09-05 14:37:37 UTC
Enhancement, will not be backported to 18.05.x series.